Subject: [TLS] preventing cross protocols attacks -01

From: Nikos Mavrogiannopoulos <[email-masked]>
Date: Fri, 10 Aug 2012 14:17:05 +0200

Hello,
 I've updated the document proposing protection against cross protocol attacks.
http://tools.ietf.org/search/draft-mavrogiannopoulos-tls-cross-protocol-01

This version references a new cross-protocol attack on TLS described in:
http://www.cosic.esat.kuleuven.be/publications/article-2216.pdf
In that attack a client is vulnerable to a server impersonation
attack, if the server implements the explicit elliptic curve TLS
option.

regards,
Nikos